##### Views

- Page
- Discussion
- View source
- History

# love.keypressed

Callback function triggered when a key is pressed.

## Function

Available since LÖVE 0.9.0
This variant is not supported in earlier versions.

### Synopsis

love.keypressed( key, isrepeat )

### Arguments

`KeyConstant key`
  Character of the key pressed.
`boolean isrepeat`
  Whether this keypress event is a repeat. The delay between key repeats depends on the user's system settings.

### Returns

Nothing.

### Notes

Key repeat needs to be enabled with love.keyboard.setKeyRepeat for repeat keypress events to be received.

## Function

Removed in LÖVE 0.9.0
Unicode text input is now handled separately via love.textinput.

### Synopsis

love.keypressed( key, unicode )

### Arguments

`KeyConstant key`
  Character of the key pressed.
`number unicode`
  The unicode number of the key pressed.

### Returns

Nothing.

## Examples

Exit the game when the player presses the Escape key, using love.event.quit.

function love.keypressed(key)
if key == "escape" then
love.event.quit()
end
end

Record and print text the user writes (0.8.0 and below.)

function love.load()
text = "Type away! -- "
end
function love.keypressed(key, unicode)
-- ignore non-printable characters (see http://www.ascii-code.com/)
if unicode > 31 and unicode < 127 then
text = text .. string.char(unicode)
end
end
function love.draw()
love.graphics.printf(text, 0, 0, 800)
end

## See Also

- love
- love.keyreleased
- love.keyboard.isDown
- love.textinput

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.keypressed"
Categories: Templates | Callbacks

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties